List labels

Request

GET

https://api.sourcecraft.tech/repos/{org_slug}/{repo_slug}/labels

Path parameters

Name

Description

org_slug

Type: string

Path parameters for different routes

Example: ``

repo_slug

Type: string

Example: ``

Query parameters

Name

Description

filter

Type: string

Example: ``

page_size

Type: string<uint64>

Example: ``

page_token

Type: string

Example: ``

sort_by

Type: string

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "items": [
    {
      "id": "example",
      "name": "example",
      "slug": "example",
      "color": "example",
      "author": {
        "id": "example",
        "slug": "example"
      },
      "updated_by": null,
      "created_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    }
  ],
  "next_page_token": "example"
}

Name

Description

items

Type: v1.Label[]

Example
[
  {
    "id": "example",
    "name": "example",
    "slug": "example",
    "color": "example",
    "author": {
      "id": "example",
      "slug": "example"
    },
    "updated_by": null,
    "created_at": "2025-01-01T00:00:00Z",
    "updated_at": "2025-01-01T00:00:00Z"
  }
]

next_page_token

Type: string

Example: example

UserEmbedded

Name

Description

id

Type: string

Example: example

slug

Type: string

Example: example

Example
{
  "id": "example",
  "slug": "example"
}

v1.Label

Name

Description

author

Type: UserEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

color

Type: string

Example: example

created_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

id

Type: string

Example: example

name

Type: string

Example: example

slug

Type: string

Example: example

updated_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

updated_by

Type: UserEmbedded

Example
{
  "id": "example",
  "slug": "example"
}
Example
{
  "id": "example",
  "name": "example",
  "slug": "example",
  "color": "example",
  "author": {
    "id": "example",
    "slug": "example"
  },
  "updated_by": null,
  "created_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z"
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": {}
}

Name

Description

details

Type: Optional details. Exact structure depends on error_code

[additional]

Type: string

Example: example

Example
{}

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example

Предыдущая
Следующая